Package org.gradle.caching.configuration

# Interface BuildCache

All Known Implementing Classes:
  `AbstractBuildCache`, `DirectoryBuildCache`, `HttpBuildCache`

@Incubating public interface BuildCache
Configuration object for a build cache.

Since:
  3.5

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isEnabled()`
Returns whether the build cache is enabled.
`boolean`
`isPush()`
Returns whether pushing to the build cache is enabled.
`void`
`setEnabled(boolean enabled)`
Enables or disables the build cache service.
`void`
`setPush(boolean enabled)`
Sets whether pushing to the build cache is enabled.

## Method Details

### isEnabled

boolean isEnabled()
Returns whether the build cache is enabled.

### setEnabled

void setEnabled(boolean enabled)
Enables or disables the build cache service.

### isPush

boolean isPush()
Returns whether pushing to the build cache is enabled.

### setPush

void setPush(boolean enabled)
Sets whether pushing to the build cache is enabled.